# source this file to access GWOLLUM

##### PKG_CONFIG_PATH
PKG_CONFIG_PATH=`echo "$PKG_CONFIG_PATH" | /bin/sed -e 's|/usr/local/lib/pkgconfig:||g;'`
PKG_CONFIG_PATH="/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
export PKG_CONFIG_PATH

##### PATH
PATH=`echo "$PATH" | /bin/sed -e 's|/usr/local/bin:||g;'`
PATH="/usr/local/bin:$PATH"
export PATH

##### LD_LIBRARY_PATH
LD_LIBRARY_PATH=`echo "$LD_LIBRARY_PATH " | /bin/sed -e 's|/usr/local/lib:||g;'`
LD_LIBRARY_PATH="/usr/local/lib:$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH



##### GWOLLUM environment
nodename=`uname -n`

TMP="/tmp"
export TMP

GWOLLUM_DOC="/usr/local/share/doc/GWOLLUM/doc"
export GWOLLUM_DOC

# Lyon
if [[ $nodename == *"cca"* ]]; then
    GWOLLUM_WEB="/sps/virgo/www"

# Florent
elif [[ $nodename == "florent" ]]; then
    GWOLLUM_WEB="/home/florent/Web"

# Cascina
elif [[ $nodename == *"virgo"* ]]; then
    GWOLLUM_WEB="/opt/w3/DataAnalysis"

# LIGO
elif [[ $nodename == *"ldas"* ]]; then
    GWOLLUM_WEB=""

# unknown
else
    GWOLLUM_WEB=""
fi
export GWOLLUM_WEB
